> This page is for API, version 2026-01-01 (Stable) (default).
> For other versions, use one of these documentation indexes:
> - 2026-01-01 (Stable) (default): https://developer.deel.com/api/stable/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developer.deel.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developer.deel.com/_mcp/server.

## Added

* **Eor** → [Get additional information](/api/reference/endpoints/eor/get-additional-information-v-2026-09-18): Endpoint is now available, which allows to retrieve the additional information saved on an EOR worker's employee agreement.

## Changed

* **Time Tracking** → [Update a Shift Rate](/api/reference/endpoints/time-tracking/update-time-tracking-shift-rate-by-external-id): Added guarantee that `external_id`, `name`, `created_at`, and `updated_at` are always present in the response.

* **Time Tracking** → [Create a New Shift Rate](/api/reference/endpoints/time-tracking/create-time-tracking-shift-rate): Added `created_at` and `updated_at` fields in the response that provide timestamps for when the shift rate was created and last updated.

* **Time Tracking** → [Retrieve a Shift Rate by External ID](/api/reference/endpoints/time-tracking/get-time-tracking-shift-rate-by-external-id): Added `created_at` and `updated_at` fields to the response.

* **Time Tracking Shifts** → [Create raw time tracking shifts](/api/reference/endpoints/time-tracking-shifts/create-time-tracking-shifts-raw): Added optional `payroll_cycle_ref` to the request body shift items and added `summary`, `shift_type`, `payroll_cycle_ref`, and `shift_reference_id` fields to the response.

* **Time Tracking Shifts** → [List of shifts](/api/reference/endpoints/time-tracking-shifts/get-time-tracking-shifts): Added `shift_reference_id`, `summary.time_unit`, and `summary.time_amount` optional fields to the response, and added the `contract_id` optional query parameter for filtering by contract IDs.

* **Time Tracking Shifts** → [Update a shift](/api/reference/endpoints/time-tracking-shifts/update-time-tracking-shift-by-external-id): Added `meta`, `shift_type`, and `shift_reference_id` fields to the response.

* **Time Tracking Shifts** → [Create shifts](/api/reference/endpoints/time-tracking-shifts/create-time-tracking-shifts): Added `meta` field to the response that provides shift start, end, break details, and approval date information.

* **Time Tracking Shifts** → [Get Shift details](/api/reference/endpoints/time-tracking-shifts/get-time-tracking-shift-by-external-id): Added `time_unit` and `time_amount` fields to the `summary` object in the response, and added `shift_reference_id` field to the response.

* **Contracts** → [Retrieve a single contract](/api/reference/endpoints/contracts/get-contract): Added `division` field in the response that indicates the division the worker belongs to, sourced from the active job information of a Global Payroll contract (null for other contract types or when no division is set). Added `non_compete_clause` and `non_solicitation_clause` fields in the response that indicate the respective clause states on the active EOR statement of work.